c_ftcurvpi(3NCARG)

NAME
c_ftcurvpi - calculate integrals for periodic functions

FUNCTION PROTOTYPE
int c_ftcurvpi (float, float, float, int, float [], float [], float *);

SYNOPSIS
int c_ftcurvpi (xl, xr, p, m, xi, yi, integral);

DESCRIPTION

xl  The lower limit of the integration.

xr  The upper limit of the integration.

p   The period of the function; p must not be less than xi[n-1] - xi[0].

m   The number of input data points. (N > 1)

xi  An array containing the abscissae for the input function.

yi  An array containing the functional values of the input function (y(k) is the functional value at x(k) for k=0,n).

integral
    The integral of the function from xl to xr is given by *integral.

RETURN VALUE
c_ftcurvpi returns an error value as per:

= 0 -- no error.
= 1 -- if n is less than 2.
= 2 -- if the period is strictly less than the span of the abscissae.

USAGE
c_ftcurvpi is called after all of the desired values for control parameters have been set using the procedures c_ftseti, c_ftsetr, c_ftsetc. Control parameters that apply to c_ftcurvpi are: sig.

ACCESS
To use c_ftcurvpi, load the NCAR Graphics library ngmath.

SEE ALSO
fitgrid_params, c_ftseti, c_ftsetr, c_ftsetc.

Complete documentation for Fitgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/fitgrid/fithome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.